name: active_ecommerce_flutter
description: This is the flutter mobile application for active ecommerce cms

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 2.0.0+10

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  http: ^0.13.4
  provider: ^5.0.0
  json_annotation: ^4.1.0
  logging: ^1.0.2
  connectivity: ^3.0.6
  shimmer: ^2.0.0
  bordered_text: ^2.0.0
  flutter_html: ^2.1.5
  flutter_svg: ^0.22.0
  url_launcher: ^6.0.12
  toast: ^0.1.5
  shared_preferences: ^2.0.8
  flutter_icons: ^1.1.0
  dotted_line: ^3.0.1
  timeline_list: ^0.0.3
  progress_dialog: ^1.2.4
  after_init: ^0.1.2
  webview_flutter: ^2.1.1
  clipboard: ^0.1.2+8
  google_fonts: ^2.1.0
  flutter_rating_bar: ^4.0.0
  expandable: ^5.0.1
  dropdown_search: ^2.0.0
  flutter_countdown_timer: ^4.1.0
  splashscreen: ^1.3.5
  package_info: ^2.0.2
  intl_phone_number_input: ^0.7.0+2
  flutter_chat_bubble: ^2.0.0
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.3
  carousel_slider: ^4.0.0
  cached_network_image: ^3.1.0
  timeline_tile: ^2.0.0
  shared_value: ^2.1.0
  rename: ^1.3.0
  permission_handler: ^6.1.3
  image_picker: ^0.8.4+2
  flutter_facebook_auth: ^3.5.0
  google_sign_in: ^5.1.1
  google_maps_place_picker: ^2.1.0-nullsafety.3
  firebase_messaging: ^10.0.8
  one_context: ^1.1.1
  social_share: ^2.2.1
  flutter_typeahead: ^3.2.1
  photo_view: ^0.13.0
  intl: ^0.17.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: ^2.1.4
  json_serializable: ^5.0.2
  flutter_launcher_icons: ^0.9.2
  google_maps_flutter: ^2.0.11


flutter_icons:
  android: true
  ios: true
  image_path: "assets/app_logo.png"

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  uses-material-design: true
  generate: true
  assets:
    - assets/
    - dummy_assets/




  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
